from machine import Pin, I2C
from dht import DHT11
from bme280 import BME280

dht = DHT11(Pin(14, Pin.PULL_UP)) # czujnik wilgoci 

bus = I2C(scl = Pin(5), sda = Pin(4), freq = 10000)
    # czujnik ciśnienia i temperatury
    
# sprawdź połączenie I2C
try:
    bmp = BME280(i2c = bus)
except OSError:
    print("Brak połączenia z czujnikiem ciśnienia!")

def measure():
    try: 
        dht.measure()
    except OSError:
        print("Błąd pomiaru wilgotności!")
    else:
        #print(f"DHT:{dht.temperature()}C {dht.humidity()}%")
        wilg = dht.humidity() #% względnej

    try:
        bmp = BME280(i2c = bus)
    except OSError:
        print("Błąd pomiaru ciśnienia i temperatury!")
    else:
        #print(f"BMP:{bmp.temperature} {bmp.pressure}")
        temp = bmp.temperature
        cisn = bmp.pressure
        
    print(f"wilgotność: {wilg}%")
    print(f"temperatura: {temp}")
    print(f"ciśnienie: {cisn}")
    print("")
    
    return (wilg, temp, cisn)

